# Method: accounts.conversionSources.list

- [HTTP request](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.ListConversionSourcesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#body.aspect)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources/list#try-it)

Retrieves the list of conversion sources the caller has access to.

### HTTP request

`GET https://merchantapi.googleapis.com/conversions/v1/{parent=accounts/*}/conversionSources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The merchant account who owns the collection of conversion sources. Format: `accounts/{account}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of conversion sources to return in a page. If no `pageSize` is specified, `100` is used as the default value. The maximum value is `200`. Values above `200` will be coerced to `200`. Regardless of pagination, at most `200` conversion sources are returned in total. |
| `pageToken` | `string` Optional. Page token. |
| `showDeleted` | `boolean` Optional. Show deleted (archived) conversion sources. By default, deleted conversion sources are not returned. |

### Request body

The request body must be empty.

### Response body

Response message for the conversionSources.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "conversionSources": [ { object (`https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources#ConversionSource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `conversionSources[]` | ``object (`https://developers.google.com/merchant/api/reference/rest/conversions_v1/accounts.conversionSources#ConversionSource`)`` List of conversion sources. |
| `nextPageToken` | `string` Token to be used to fetch the next results page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).